/**
* 文件：ResourceQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.resource.model;
import java.util.List;
/**
 * <p>Title: 资源信息</p>
 * <p>Description: ResourceQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ResourceQuery extends ResourceEntity {
	private static final long serialVersionUID = 1547777703341L;
	/** 开始 菜单ID，主键，自增长 */
	private Long idStart;

	/** 结束 菜单ID，主键，自增长 */
	private Long idEnd;

	/** 增加 菜单ID，主键，自增长 */
	private Long idIncrement;

	/** 菜单ID，主键，自增长 */
	private List<Long> idList;

	/** 名称 */
	private List<String> nameList;

	/** 连接地址，多个地址以逗号分隔 */
	private List<String> urlList;

	/** 开始 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3 */
	private Integer authTypeStart;

	/** 结束 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3 */
	private Integer authTypeEnd;

	/** 增加 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3 */
	private Integer authTypeIncrement;

	/** 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3 */
	private List<Integer> authTypeList;

	/** 开始 资源类型，0：系统资源，1：开放资源，默认0 */
	private Integer sourceTypeStart;

	/** 结束 资源类型，0：系统资源，1：开放资源，默认0 */
	private Integer sourceTypeEnd;

	/** 增加 资源类型，0：系统资源，1：开放资源，默认0 */
	private Integer sourceTypeIncrement;

	/** 资源类型，0：系统资源，1：开放资源，默认0 */
	private List<Integer> sourceTypeList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 创建用户 */
	private Long createUserIdStart;

	/** 结束 创建用户 */
	private Long createUserIdEnd;

	/** 增加 创建用户 */
	private Long createUserIdIncrement;

	/** 创建用户 */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;

	/** 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeStart;

	/** 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeEnd;

	/** 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeIncrement;

	/** 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private List<Integer> userTypeList;


	public ResourceQuery(){
	}
	/**
	 * 获取 开始 菜单ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 菜单ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 菜单ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 菜单ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 菜单ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 菜单ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 菜单ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 菜单ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 名称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 名称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 连接地址，多个地址以逗号分隔
	 * @return urlList
	 */
	public List<String> getUrlList(){
		return this.urlList;
	}

	/**
	 * 设置 连接地址，多个地址以逗号分隔
	 * @param urlList
	 */
	public void setUrlList(List<String> urlList){
		this.urlList = urlList;
	}

	/**
	 * 获取 开始 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @return authTypeStart
	 */
	public Integer getAuthTypeStart(){
		return this.authTypeStart;
	}

	/**
	 * 设置 开始 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @param authTypeStart
	 */
	public void setAuthTypeStart(Integer authTypeStart){
		this.authTypeStart = authTypeStart;
	}

	/**
	 * 获取 结束 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @return authTypeEnd
	 */
	public Integer getAuthTypeEnd(){
		return this.authTypeEnd;
	}

	/**
	 * 设置 结束 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @param authTypeEnd
	 */
	public void setAuthTypeEnd(Integer authTypeEnd){
		this.authTypeEnd = authTypeEnd;
	}

	/**
	 * 获取 增加 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @return authTypeIncrement
	 */
	public Integer getAuthTypeIncrement(){
		return this.authTypeIncrement;
	}

	/**
	 * 设置 增加 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @param authTypeIncrement
	 */
	public void setAuthTypeIncrement(Integer authTypeIncrement){
		this.authTypeIncrement = authTypeIncrement;
	}

	/**
	 * 获取 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @return authTypeList
	 */
	public List<Integer> getAuthTypeList(){
		return this.authTypeList;
	}

	/**
	 * 设置 权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3
	 * @param authTypeList
	 */
	public void setAuthTypeList(List<Integer> authTypeList){
		this.authTypeList = authTypeList;
	}

	/**
	 * 获取 开始 资源类型，0：系统资源，1：开放资源，默认0
	 * @return sourceTypeStart
	 */
	public Integer getSourceTypeStart(){
		return this.sourceTypeStart;
	}

	/**
	 * 设置 开始 资源类型，0：系统资源，1：开放资源，默认0
	 * @param sourceTypeStart
	 */
	public void setSourceTypeStart(Integer sourceTypeStart){
		this.sourceTypeStart = sourceTypeStart;
	}

	/**
	 * 获取 结束 资源类型，0：系统资源，1：开放资源，默认0
	 * @return sourceTypeEnd
	 */
	public Integer getSourceTypeEnd(){
		return this.sourceTypeEnd;
	}

	/**
	 * 设置 结束 资源类型，0：系统资源，1：开放资源，默认0
	 * @param sourceTypeEnd
	 */
	public void setSourceTypeEnd(Integer sourceTypeEnd){
		this.sourceTypeEnd = sourceTypeEnd;
	}

	/**
	 * 获取 增加 资源类型，0：系统资源，1：开放资源，默认0
	 * @return sourceTypeIncrement
	 */
	public Integer getSourceTypeIncrement(){
		return this.sourceTypeIncrement;
	}

	/**
	 * 设置 增加 资源类型，0：系统资源，1：开放资源，默认0
	 * @param sourceTypeIncrement
	 */
	public void setSourceTypeIncrement(Integer sourceTypeIncrement){
		this.sourceTypeIncrement = sourceTypeIncrement;
	}

	/**
	 * 获取 资源类型，0：系统资源，1：开放资源，默认0
	 * @return sourceTypeList
	 */
	public List<Integer> getSourceTypeList(){
		return this.sourceTypeList;
	}

	/**
	 * 设置 资源类型，0：系统资源，1：开放资源，默认0
	 * @param sourceTypeList
	 */
	public void setSourceTypeList(List<Integer> sourceTypeList){
		this.sourceTypeList = sourceTypeList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 创建用户
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}

	/**
	 * 获取 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeStart
	 */
	public Integer getUserTypeStart(){
		return this.userTypeStart;
	}

	/**
	 * 设置 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeStart
	 */
	public void setUserTypeStart(Integer userTypeStart){
		this.userTypeStart = userTypeStart;
	}

	/**
	 * 获取 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeEnd
	 */
	public Integer getUserTypeEnd(){
		return this.userTypeEnd;
	}

	/**
	 * 设置 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeEnd
	 */
	public void setUserTypeEnd(Integer userTypeEnd){
		this.userTypeEnd = userTypeEnd;
	}

	/**
	 * 获取 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeIncrement
	 */
	public Integer getUserTypeIncrement(){
		return this.userTypeIncrement;
	}

	/**
	 * 设置 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeIncrement
	 */
	public void setUserTypeIncrement(Integer userTypeIncrement){
		this.userTypeIncrement = userTypeIncrement;
	}

	/**
	 * 获取 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeList
	 */
	public List<Integer> getUserTypeList(){
		return this.userTypeList;
	}

	/**
	 * 设置 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeList
	 */
	public void setUserTypeList(List<Integer> userTypeList){
		this.userTypeList = userTypeList;
	}


}